# Open Meteo CLI

CLI to extract meteorology data from Open Meteo.

## Usage

### Current Weather

Displays the current weather for your IP address automatically or for specific coordinates.

```
open-meteo-cli current-weather [OPTIONS] --latitude <LATITUDE> --longitude <LONGITUDE>
```

#### Options
- `-l, --latitude <LATITUDE>`: Latitude as a decimal number.
- `-L, --longitude <LONGITUDE>`: Longitude as a decimal number.

#### Flags
- `-a, --all`: Displays all the information.
- `-d, --is-day`: Displays if it's day or night.
- `-t, --temperature`: Displays the decimal temperature, in Celsius.
- `-w, --windspeed`: Displays the decimal wind speed, in km/h.
- `-W, --winddirection`: Displays the wind direction, in degrees.
- `--coords`: Displays the latitude and the longitude.
- `--city`: Displays the city.
- `-c, --clean`: Cleans the output and only displays the values separated by commas.
    - The order of values is as follows: latitude, longitude, city, is_day, temperature, windspeed, winddirection.

#### Examples

- Standard usage: `open-meteo-cli current-weather -a`

```
      ┌──────────────────────────────────────────────────┐
      │                                                  │
      │      === Current weather for Zaragoza ===        │
      │      Night                                       │
      │      Temperature: 18.8°C                         │
      │      Wind speed: 6.6 km/h                        │
      │      Wind direction: 22°                         │
      │      Latitude: 41.6405, Longitude: -0.8814       │
      │      === Weather data by Open-Meteo.com ===      │
      │                                                  │
      └──────────────────────────────────────────────────┘
```

- Using coordinates: `open-meteo-cli current-weather -l 12.2 -L=-0.38 -t -w`

```
      ┌──────────────────────────────────────────────────┐
      │                                                  │
      │      === Current weather ===                     │
      │      Temperature: 32.6°C                         │
      │      Wind speed: 12.5 km/h                       │
      │      === Weather data by Open-Meteo.com ===      │
      │                                                  │
      └──────────────────────────────────────────────────┘
```

- Clean: `open-meteo-cli current-weather -d -t -w -c`

```
0,18.8,6.6
```

## Attribution

The weather data used in this application is provided by [Open-Meteo.com](https://open-meteo.com/) under the [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) license. 
We would like to express our gratitude to Open-Meteo.com for their contribution to this project.
